Subject: bug#5855: closed (Re: bug#10050: 24.0.90; image files display image data only after drag and drop)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Feb 2012 10:10:02 +0000

Your bug report

#10050: 23.1.95; OS X file drag-and-drop inserts into current buffer

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10050: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10050
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10050: 24.0.90; image files display image data only after drag and drop
From: Jan Djärv <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: Glenn Morris <[email-masked]>, Adam Winiecki <[email-masked]>, [email-masked]
Date: Sat, 25 Feb 2012 11:06:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

25 feb 2012 kl. 04:59 skrev Chong Yidong:

> Jan Djärv <[email-masked]> writes:
> 
>>>        (define-key global-map [ns-drag-file] 'ns-find-file)
>>> 
>>> Maybe that change is sensible and safe enough for 24.1.
>>> (I can't even test it so I wouldn't know.)
>> 
>> If you want I can do it. I have been running with that change in my
>> local copy for about a year now.
> 
> Yes, please go ahead.  I think it's a misfeature that the NS port does
> d&d differently from the other platforms.

Done.  Documentation updated.  NEWS not updated though, should it be?

	Jan D.

Subject: 23.1.95; OS X file drag-and-drop inserts into current buffer
From: Robin Dunn <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 07 Apr 2010 11:46:37 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When dragging a text file from Finder and dropping in an Emacs window
the contents of the file are inserted into the current buffer near the
drop point instead of making a new buffer for the file.

In GNU Emacs 23.1.95.1 (x86_64-apple-darwin, NS apple-appkit-1038.29)
  of 2010-04-03 on black.local
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--host=x86_64-apple-darwin' 
'--build=i686-apple-darwin' '--with-ns' 'build_alias=i686-apple-darwin' 
'host_alias=x86_64-apple-darwin' 'CC=gcc''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
   delete-selection-mode: t
   pc-selection-mode: t
   diff-auto-refine-mode: t
   global-auto-revert-mode: t
   cua-mode: t
   show-paren-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <f6>
<ns-drag-file> M-x r e p o r t - e m a c s - b u g
<return>

Recent messages:
Loading psvn...done
Loading projects...
Loading desktop...done
Loading projects...done
Loading /Users/robind/elisp/my.emacs.el (source)...done
Loading isearch...done
Loading pc-select...done
Toggling font-lock-mode off; better pass an explicit argument.
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set

Load-path shadows:
/Users/robind/elisp/whitespace hides 
/Applications/MyApps/Editors/Emacs.app/Contents/Resources/lisp/whitespace
/Users/robind/elisp/table hides 
/Applications/MyApps/Editors/Emacs.app/Contents/Resources/lisp/textmodes/table
/Users/robind/elisp/zone hides 
/Applications/MyApps/Editors/Emacs.app/Contents/Resources/lisp/play/zone

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils mailheader canlock sha1 hex-util
hashcash mail-utils emacsbug delsel pc-select cus-start cus-load desktop
psvn wid-edit log-edit ring pcvs-util add-log diff-mode easy-mmode
vc-svn cl cl-19 whitespace autorevert cua-base speedbar sb-image ezimage
dframe assoc table paren disp-table misc tooltip ediff-hook vc-hooks
lisp-float-type mwheel ns-win easymenu tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)